%define anolis_release 1
%define debug_package %{nil}
%bcond_with docs
%bcond_without tests

%global pypi_name filelock
%global pypi_version 3.9.0

Name:           python-filelock
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A platform independent file lock.
License:        Unlicense
URL:            https://github.com/tox-dev/py-filelock
Source0:        https://files.pythonhosted.org/packages/0b/dc/eac02350f06c6ed78a655ceb04047df01b02c6b7ea3fc02d4df24ca87d24/filelock-3.9.0.tar.gz

%if %{with tests}
BuildRequires:  python3dist(pytest) >= 7.1.2
BuildRequires:  python3dist(pytest-cov) >= 3
BuildRequires:  python3dist(pytest-timeout) >= 2.1
%endif

%if %{with docs}
BuildRequires:  python3dist(furo) >= 2022.6.21
BuildRequires:  python3dist(sphinx) >= 5.1.1
BuildRequires:  python3dist(sphinx-autodoc-typehints) >= 1.19.1
BuildRequires:  python3dist(covdefaults) >= 2.2
BuildRequires:  python3dist(coverage) >= 6.4.2
%endif

BuildRequires:  gcc cmake
BuildRequires:  python3-devel
BuildArch:      noarch

%description
A platform independent file lock.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{description}

%package -n python3-%{pypi_name}-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
%{description}

%prep
%autosetup -n filelock-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
pushd docs
PYTHONPATH=../src sphinx-build ./ html --color -b html
PYTHONPATH=../src sphinx-build ./ man --color -b man
rm html/.buildinfo
popd
%endif

%install
%pyproject_install

%if %{with docs}
install -p -m0644 -D docs/man/%{pypi_name}.1 %{buildroot}%{_mandir}/man1/%{pypi_name}.1
%endif

%files -n python3-%{pypi_name}
%license LICENSE 
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/
%if %{with docs}
%{_mandir}/man1/%{pypi_name}.1.gz
%endif

%files -n python3-%{pypi_name}-doc
%doc README.md 

%changelog
* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.9.0-1
- update to version 3.9.0

* Mon Oct 17 2022 happy_orange <songnannan@linux.alibaba.com> - 3.8.0-2
- bugfix the python3dist(filelock) error in provides

* Fri Oct 14 2022 happy_orange <songnannan@linux.alibaba.com> - 3.8.0-1
- init package from upstream
